onEvent('recipes', event => {

    //Molten Iron
    event.recipes.custommachinery.custom_machine("modpack:electric_fluid_extractor", 50)
        .produceFluid(Fluid.of("kubejs:molten_iron", 144))
        .requireItem(Item.of("minecraft:iron_ingot"))
        .requireEnergyPerTick(10)

    //Molten Gold
    event.recipes.custommachinery.custom_machine("modpack:electric_fluid_extractor", 50)
        .produceFluid(Fluid.of("kubejs:molten_gold", 144))
        .requireItem(Item.of("minecraft:gold_ingot"))
        .requireEnergyPerTick(10)

    //Molten Diamond
    event.recipes.custommachinery.custom_machine("modpack:electric_fluid_extractor", 50)
        .produceFluid(Fluid.of("kubejs:molten_diamond", 144))
        .requireItem(Item.of("minecraft:diamond"))
        .requireEnergyPerTick(10)

    //Molten Emerald
    event.recipes.custommachinery.custom_machine("modpack:electric_fluid_extractor", 50)
        .produceFluid(Fluid.of("kubejs:molten_emerald", 144))
        .requireItem(Item.of("minecraft:emerald"))
        .requireEnergyPerTick(10)

    //Molten Netherite
    event.recipes.custommachinery.custom_machine("modpack:electric_fluid_extractor", 50)
        .produceFluid(Fluid.of("kubejs:molten_netherite", 144))
        .requireItem(Item.of("minecraft:netherite_ingot"))
        .requireEnergyPerTick(10)

    //Molten Starmetal
    event.recipes.custommachinery.custom_machine("modpack:electric_fluid_extractor", 50)
        .produceFluid(Fluid.of("kubejs:molten_starmetal", 144))
        .requireItem(Item.of("astralsorcery:starmetal_ingot", 1))
        .requireEnergyPerTick(10)

    //Molten Netherite-Starmetal Alloy
    event.recipes.custommachinery.custom_machine("modpack:electric_fluid_extractor", 50)
        .produceFluid(Fluid.of("kubejs:molten_netherite_starmetal_alloy", 144))
        .requireItem(Item.of("kubejs:netherite_starmetal_alloy_ingot"))
        .requireEnergyPerTick(10)

    //Molten Energised Gold Alloy
    event.recipes.custommachinery.custom_machine("modpack:electric_fluid_extractor", 50)
        .produceFluid(Fluid.of("kubejs:molten_energised_gold_alloy", 144))
        .requireItem(Item.of("kubejs:energised_gold_alloy_ingot"))
        .requireEnergyPerTick(10)
    
    //Molten Briliant Diamond
    event.recipes.custommachinery.custom_machine("modpack:electric_fluid_extractor", 50)
        .produceFluid(Fluid.of("kubejs:molten_briliant_diamond", 144))
        .requireItem(Item.of("kubejs:briliant_diamond", 1))
        .requireEnergyPerTick(10)
    
    //Molten Briliant Emerald
    event.recipes.custommachinery.custom_machine("modpack:electric_fluid_extractor", 50)
        .produceFluid(Fluid.of("kubejs:molten_briliant_emerald", 144))
        .requireItem(Item.of("kubejs:briliant_emerald", 1))
        .requireEnergyPerTick(10)

})